Skip to main content
POST
/
objects
Create or upsert an object
curl --request POST \
  --url https://api.awardee.dev/v1/objects \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "type": "<string>",
  "external_id": "<string>",
  "name": "<string>",
  "description": "<string>",
  "metadata": {},
  "destination": {
    "chatbot": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "page": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "knowledge_base": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "url": "<string>"
  },
  "is_active": true,
  "properties": [
    {
      "key": "<string>",
      "value": "<string>",
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    }
  ],
  "url_params": [
    {
      "key": "<string>",
      "value": "<string>",
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    }
  ]
}
'
{
  "object": "<string>",
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "type": "<string>",
  "external_id": "<string>",
  "public_slug": "<string>",
  "url": "<string>",
  "name": "<string>",
  "description": "<string>",
  "metadata": {},
  "destination": {
    "type": "<string>",
    "chatbot": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "page": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "knowledge_base": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "url": "<string>"
  },
  "is_active": true,
  "total_scans": 0,
  "last_scanned_at": "2023-11-07T05:31:56Z",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Send your API key as Authorization: Bearer aw_live_…. Manage keys in the dashboard under Settings → API Keys.

Headers

Idempotency-Key
string

Opaque key that makes this POST safe to retry. Responses are cached for 24h per API key.

Maximum string length: 255

Body

application/json
type
string
required
external_id
string
name
string
description
string
metadata
object
destination
object
is_active
boolean
properties
object[]
url_params
object[]

Response

Existing object returned (upsert match)

object
string
required
Allowed value: "object"
id
string<uuid>
required
type
string
required
external_id
string | null
required
public_slug
string
required
url
string<uri>
required
name
string | null
required
description
string | null
required
metadata
object
required
destination
object
required
is_active
boolean
required
total_scans
integer
required
Required range: -9007199254740991 <= x <= 9007199254740991
last_scanned_at
string<date-time> | null
required
Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
created_at
string<date-time>
required
Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
updated_at
string<date-time>
required
Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$